> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tokens



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/tokens/
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/tokens/:
    get:
      tags:
        - API Keys
      summary: List Tokens
      operationId: list_tokens_api_v1_tokens__get
      parameters:
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_List_APITokenConfig__
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericPaginationResponse_List_APITokenConfig__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/APITokenConfig'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[List[APITokenConfig]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    APITokenConfig:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the API key.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the API key.
        tokenPrefix:
          type: string
          title: Tokenprefix
          description: Non-secret prefix identifying the key.
        scope:
          additionalProperties:
            anyOf:
              - $ref: '#/components/schemas/PermissionType'
              - type: 'null'
          type: object
          title: Scope
          description: Permissions granted to the key.
          default: {}
        isEnabled:
          type: boolean
          title: Isenabled
          description: Whether the key is enabled.
        createdAt:
          type: string
          format: date-time
          title: Createdat
        expiresAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expiresat
        maxConcurrentSandboxes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxconcurrentsandboxes
        maxSandboxCreationsPerHour:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxsandboxcreationsperhour
        maxSandboxCpuCores:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxsandboxcpucores
        maxSandboxGpuCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxsandboxgpucount
        maxConcurrentTunnels:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxconcurrenttunnels
        maxTunnelCreationsPerHour:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxtunnelcreationsperhour
        maxTunnelTtlHours:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxtunnelttlhours
      type: object
      required:
        - id
        - tokenPrefix
        - isEnabled
        - createdAt
      title: APITokenConfig
      description: An API key as the public API returns it. Never carries the key value.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    PermissionType:
      properties:
        read:
          type: boolean
          title: Read
        write:
          type: boolean
          title: Write
      type: object
      required:
        - read
        - write
      title: PermissionType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.